rem X00 0=3F8,IRQ4 B,0,38400 E
:LOOP
C:
CD\FD
FD
IF ERRORLEVEL 250 GOTO INMAIL
IF ERRORLEVEL 117 GOTO DO_BBS
IF ERRORLEVEL 116 GOTO DO_BBS
IF ERRORLEVEL 115 GOTO DO_BBS
IF ERRORLEVEL 114 GOTO DO_BBS
IF ERRORLEVEL 113 GOTO DO_BBS
IF ERRORLEVEL 112 GOTO DO_BBS
IF ERRORLEVEL 111 GOTO DO_BBS
IF ERRORLEVEL 110 GOTO DO_BBS
IF ERRORLEVEL 109 GOTO DO_BBS
IF ERRORLEVEL 108 GOTO DO_BBS
IF ERRORLEVEL 107 GOTO DO_BBS
IF ERRORLEVEL 106 GOTO DO_BBS
IF ERRORLEVEL 105 GOTO DO_BBS
IF ERRORLEVEL 104 GOTO DO_BBS
IF ERRORLEVEL 103 GOTO DO_BBS
IF ERRORLEVEL 102 GOTO DO_BBS
IF ERRORLEVEL 101 GOTO DO_BBS
IF ERRORLEVEL 80 GOTO MAINT
IF ERRORLEVEL 50 GOTO NIGHT
IF ERRORLEVEL 40 GOTO LOCAL_LOGON
IF ERRORLEVEL 10 GOTO USERBRK
IF ERRORLEVEL 4 GOTO LOOP
IF ERRORLEVEL 3 GOTO DSPACE
IF ERRORLEVEL 1 GOTO FATAL
GOTO LOOP

:DO_BBS
DOBBS.BAT
GOTO LOOP

:LOCAL_LOGON
CD\TRIBBS
erase C:\TRIBBS\NWORK\DOORS.TMP
CALL BOARD.BAT /f0 /h /t9999 
GOTO LOOP

:INMAIL
CALL MAIL.BAT
GOTO LOOP

:MAINT
CD\TRIBBS\PJSCREEN
DEL CALLERS.BBS
PJSCREEN.EXE /A /H
GOTO LOOP

:NIGHT
CD \TRIBBS\BATCH
CALL MAINT.BAT
GOTO LOOP

:DSPACE
CLS
ECHO.
ECHO                 =-=-=-=-=-OUT OF DRIVE SPACE !!!! =-=-=-=-=-
ECHO.
GOTO END

:FATAL
ECHO.
ECHO                      =-=-=-=-=-FATAL ERROR =-=-=-=-=-=-=
ECHO.


:END
C:
CD\FD


